Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export
Class ImportCommandImpl

    java.lang.Object
      com.jaspersoft.jasperserver.export.ImportCommandImpl

All Implemented Interfaces:
  CommandBean, org.springframework.context.ApplicationContextAware

    public class ImportCommandImpl

extends java.lang.Object
implements CommandBean, org.springframework.context.ApplicationContextAware

Version:
  $Id: ImportCommandImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ImportCommandImpl()`

Method Summary
`protected Importer` | `createPrototypeImporter(Parameters parameters)`
`protected ImportTask` | `createTask(Parameters parameters)`
`protected ExecutionContext` | `getExecutionContext(Parameters parameters)`
`ExportImportIOFactory` | `getExportImportIOFactory()`
`java.lang.String` | `getImporterPrototypeBeanName()`
`protected java.lang.String` | `getImporterPrototypeBeanName(Parameters parameters)`
`protected ImportInput` | `getImportInput(Parameters parameters)`
`protected java.util.Locale` | `getLocale(Parameters parameters)`
`void` | `process(Parameters parameters)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext ctx)`
`void` | `setExportImportIOFactory(ExportImportIOFactory exportImportIOFactory)`
`void` | `setImporterPrototypeBeanName(java.lang.String importerPrototypeBeanName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportCommandImpl

    public ImportCommandImpl()

Method Detail

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext ctx)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

### process

    public void process(Parameters parameters)

  Specified by:
    `process` in interface `CommandBean`

### createTask

    protected ImportTask createTask(Parameters parameters)

### getImportInput

    protected ImportInput getImportInput(Parameters parameters)

### getExecutionContext

    protected ExecutionContext getExecutionContext(Parameters parameters)

### getLocale

    protected java.util.Locale getLocale(Parameters parameters)

### createPrototypeImporter

    protected Importer createPrototypeImporter(Parameters parameters)

### getImporterPrototypeBeanName

    protected java.lang.String getImporterPrototypeBeanName(Parameters parameters)

### getImporterPrototypeBeanName

    public java.lang.String getImporterPrototypeBeanName()

### setImporterPrototypeBeanName

    public void setImporterPrototypeBeanName(java.lang.String importerPrototypeBeanName)

### getExportImportIOFactory

    public ExportImportIOFactory getExportImportIOFactory()

### setExportImportIOFactory

    public void setExportImportIOFactory(ExportImportIOFactory exportImportIOFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.